Bug 110743 - Crash on new master page, if first master page has image as background
Summary: Crash on new master page, if first master page has image as background
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-07-31 22:24 UTC by Regina Henschel
Modified: 2017-08-11 10:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SdPage::CreateTitleAndLayout(bool,bool)"]


Attachments
master page with image as background (35.06 KB, application/vnd.oasis.opendocument.presentation)
2017-07-31 22:24 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-07-31 22:24:53 UTC
Created attachment 135032 [details]
master page with image as background

Open attached document. It has an image as background of the master page.
Menu View > Slide Master
In Toolbar click on button "New Master". --> Crash

It does not crash, if I use a gradient as background in my first master.

I have sent a crash report, but I got no number of the crash report.

I have used Version: 6.0.0.0.alpha0+
Build ID: 1176ae51154c2298b44427270754d2ee1562a115
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-07-27_12:54:56
Locale: de-DE (de_DE); Calc: group
Comment 1 Xisco Faulí 2017-07-31 22:54:39 UTC
Regression introduced by:

author	Pranav Kant <pranavk@collabora.co.uk>	2017-04-23 09:24:42 (GMT)
committer	pranavk <pranavk@collabora.co.uk>	2017-05-01 04:46:19 (GMT)
commit	c454fbb9b62164d5f047990ae63522c9fb932086 (patch)
tree	682c263be6e283fd4ad04e509548abd520595f16
parent	862b6c0a32dfce924bfafa84acaed47c5380fc46 (diff)
sd: Use unique Page ids for better multi-view support + unit test
... instead of using simple IDs which are assumed to be one greater than
the slide position everywhere in the codebase.

Use a 16 bit static counter and uniquely assign page ids to SdPage
objects. This helps in identifying which slide was already selected
in second view before any slide is deleted in the first view. Otherwise,
using simple positions to keep track of it leads the second view to end
up selecting the wrong slide after any slide is added or removed in the
first view.

Bisected with bibisect-linux-64-5.4

Adding Cc: to Pranav Kant
Comment 2 Commit Notification 2017-08-01 12:15:15 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4e5940abbbaa3c2747108b0954e8912d164f3e5

tdf#110743: Use page position to insert master page, not id

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Pranav Kant 2017-08-01 12:47:41 UTC
This should fix the regression.

5-4 here:

https://gerrit.libreoffice.org/#/c/40633/
Comment 4 Xisco Faulí 2017-08-03 09:24:27 UTC
Fixed in

Version: 6.0.0.0.alpha0+
Build ID: 3f16306964d5bb81dda3c681bcabbacadf424e7b
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Pranav Kant, could you please close it as RESOLVED FIXED ?
Comment 5 Commit Notification 2017-08-11 10:29:38 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9ff6f8f9c7f94070bef0909636f0ec91d9baaf7&h=libreoffice-5-4

tdf#110743: Use page position to insert master page, not id

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.